@echo off
call vars.bat

cd %HOME%
if exist %KEY_DIR%\*.* (
	echo Folder "%KEY_DIR%" exists. If you want to make a new CA, delete or
	echo move this folder and try again.
	echo If you want to change CA key, use the script change-ca.bat
	exit /b 1
)
if exist %KEY_DIR% (
	echo There is a regular file "%KEY_DIR%" in the current directory. 
	echo Delete or move this file and try again
	exit /b 1
)
mkdir %KEY_DIR%
type nul > %KEY_DIR%\index.txt
echo 01 > %KEY_DIR%\serial.

cd %HOME%
set KEY_CN=%KEY_CACN% %date%
gmkseed -q
mkkey -w %KEY_DIR%\ca.key -n
openssl req -batch -days 910 -utf8 -nodes -new -x509 -key %KEY_DIR%\ca.key -out %KEY_DIR%\single-ca.crt -config %KEY_CONFIG%
copy %KEY_DIR%\single-ca.crt %KEY_DIR%\ca.crt
exit /b 0
