@echo off

if "%~1"=="" GOTO usage

call vars.bat

cd %HOME%
set KEY_CN=%~1
gmkseed -q
mkkey -w "%KEY_DIR%\%~1.key" -n
openssl req -batch -utf8 -nodes -new -key "%KEY_DIR%\%~1.key" -out "%KEY_DIR%\%~1.csr" -config %KEY_CONFIG%
openssl ca -batch -days 455 -out "%KEY_DIR%\%~1.crt" -in "%KEY_DIR%\%~1.csr" -extensions tlsserver -preserveDN -config %KEY_CONFIG%
if exist %KEY_DIR%\cross-ca.crt (
	type %KEY_DIR%\cross-ca.crt >> "%KEY_DIR%\%~1.crt"
)

goto end

:usage
echo usage: %0 server_common_name


:end
