@echo off
call vars.bat

cd %HOME%
if not exist %KEY_DIR%\*.* (
	echo CA does not exist.
	exit /b 1
)
if exist %KEY_DIR%.before_%date% (
	echo You have already changed the CA keys today,
	echo key change is possible only once a day.
	exit /b 2
) 
rmdir /s /q %KEY_DIR%.previous
move %KEY_DIR% %KEY_DIR%.before_%date%
mklink /j %KEY_DIR%.previous %KEY_DIR%.before_%date%
mkdir %KEY_DIR%
type nul > %KEY_DIR%\index.txt
echo 01 > %KEY_DIR%\serial.

set KEY_CN=%KEY_CACN% %date%
gmkseed -q
mkkey -w %KEY_DIR%\ca.key -n
openssl req -batch -days 910 -nodes -new -utf8 -key %KEY_DIR%\ca.key -out %KEY_DIR%\ca.csr -config %KEY_CONFIG%
openssl ca -batch -days 455 -out %KEY_DIR%\cross-ca.crt -in %KEY_DIR%\ca.csr -name CA_previous -config %KEY_CONFIG%
openssl req -batch -days 910 -nodes -new -x509 -utf8 -key %KEY_DIR%\ca.key -out %KEY_DIR%\single-ca.crt -config %KEY_CONFIG%
copy %KEY_DIR%\single-ca.crt+%KEY_DIR%.previous\single-ca.crt %KEY_DIR%\ca.crt

exit /b 0
